#include "mbed.h"
#include "SDFileSystem.h"

SDFileSystem sd(p5, p6, p7, p8, "sd");

//This report will contain data to be sent
HID_REPORT send_report;

int main() {
    //Fill the report
    for(int i = 0; i < 64; i++)
        send_report.data[i] = i;
    send_report.length = 64;
    
    while (1) {
        //Send the report
        sd.send(&send_report);
        wait(0.1);
    }
}